'use strict';

exports.__esModule = true;

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

var _Icon = require('../suir/icon/Icon');

var _Icon2 = _interopRequireDefault(_Icon);

var _flexboxReact = require('flexbox-react');

var _flexboxReact2 = _interopRequireDefault(_flexboxReact);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var LargeCardRecentList = function LargeCardRecentList(props) {
  return _react2['default'].createElement(
    _flexboxReact2['default'],
    { flexDirection: 'column', flexGrow: 1, className: props.className },
    _react2['default'].createElement(
      'h4',
      { className: 'label' },
      'Recent'
    ),
    props.items.map(function (item) {
      var icon = '';
      switch (item.state) {
        case 'warning':
          icon = 'icon_error-triangle_alt';
          break;
        case 'critical':
          icon = 'icon_error-circle_alt';
          break;
        default:
          icon = 'icon_check_alt2';
      }
      return _react2['default'].createElement(
        _flexboxReact2['default'],
        { key: item.id, flexDirection: 'row', className: 'recent_list-' + item.state + ' recent__activity__row' },
        _react2['default'].createElement(
          _flexboxReact2['default'],
          { className: 'recent_list-' + item.state, alignItems: 'center', marginRight: '20px' },
          _react2['default'].createElement(_Icon2['default'], { className: 'ei ' + icon + ' text-large' })
        ),
        _react2['default'].createElement(
          _flexboxReact2['default'],
          { className: 'text-uppercase text-small recent_list-' + item.state, alignItems: 'center', marginRight: '20px' },
          item.status
        ),
        _react2['default'].createElement(
          _flexboxReact2['default'],
          { className: 'text-uppercase text-small recent_list-' + item.state, alignItems: 'center' },
          item.date
        )
      );
    })
  );
};

LargeCardRecentList.defaultProps = {};

LargeCardRecentList.propTypes = {
  items: _react2['default'].PropTypes.array
};

exports['default'] = LargeCardRecentList;
module.exports = exports['default'];
//# sourceMappingURL=LargeCardRecentList.js.map