'use strict';

exports.__esModule = true;

var _assign = require('babel-runtime/core-js/object/assign');

var _assign2 = _interopRequireDefault(_assign);

var _react = require('react');

var _react2 = _interopRequireDefault(_react);

function _interopRequireDefault(obj) { return obj && obj.__esModule ? obj : { 'default': obj }; }

var d3 = (0, _assign2['default'])({}, require('d3-shape'));
var array = _react.PropTypes.array,
    func = _react.PropTypes.func,
    string = _react.PropTypes.string;


var PlotArea = function PlotArea(props) {
  var color = props.color,
      data = props.data,
      xScale = props.xScale,
      yScale = props.yScale;

  var area = d3.area().x(function (d) {
    return xScale(d.x);
  }).y0(yScale(yScale.domain()[0])).y1(function (d) {
    return yScale(d.y);
  }).curve(d3.curveCardinal);

  return _react2['default'].createElement(
    'g',
    null,
    _react2['default'].createElement('path', {
      className: 'area',
      fill: color,
      d: area(data)
    })
  );
};

PlotArea.propTypes = {
  color: string,
  data: array,
  xScale: func.isRequired,
  yScale: func.isRequired
};

PlotArea.defaultProps = {};

exports['default'] = PlotArea;
module.exports = exports['default'];
//# sourceMappingURL=PlotArea.js.map